mia-3dvectorfieldcreate
Prev | Miscellaneous programs | Next

### mia-3dvectorfieldcreate

#### Sysnopis:

`mia-3dvectorfieldcreate` {-o `io`} [ `options` ...]

#### Description:

This program is used to create a file containing a 3D vector field.

#### Options:

-o, --out-file=(output, required); io

  output file for the vector field. For supported file types see Plugin type: 3dvf/io

-s, --size=[64,64,64]; 3dbounds

  size of the vector field

-y, --ftype=0; short

  vector field type

-f, --fun=1; float

  just some parameter to vary the field ;-)

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Create a field of type 2 with fun 3.0 and size 128x128x128.

    mia-3dvectorfieldcreate -o field.v -s '<128,128,128>' -t 2 -f 3.0

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3dimageaddattributes | Home | mia-cmeans